<CsoundSynthesizer>
<CsOptions>
-o quantise.wav -W
</CsOptions>
; ==============================================
<CsInstruments>

sr	=	48000
ksmps	=	1
nchnls	=	2
0dbfs	=	1
#include "m_kquantise.udo"

instr 1	
	; Create a rising exponential curve
	kifm expon 1, p3, 4
	kifm = kifm * 110 ; Multiply by base frequency

	; Set m_kquantise parameters
	kmode = p4
	kstep = p5
	kquality = p6
	kparam = p7
	ifn = 2 ; The scales function table
	; Quantise the control signal
	kfm, ktrig m_kquantise kifm, kmode, kstep, kquality, kparam, ifn
	a1 oscil 1, kfm, 1
	outs a1, a1
endin

</CsInstruments>
; ==============================================
<CsScore>
f1 0 32768 10 1
f2 0 2 -2 4 5
f4 0 12 -2 1 1.1225 1.1225 1.2599 1.3348 1.3348 1.4983 1.4983 1.6818 1.6818 1.8877 2
f5 0 12 -2 1 1.1225 1.1892 1.1892 1.3348 1.3348 1.4983 1.5874 1.5874 1.7818 1.7818 2

i1 0 10 1 20 1 1
i1 + .  1 20 .5 1
i1 . .  2 2 1 13.75
i1 . .  2 4 1 13.75
i1 . .  3 0 1 27.5
i1 . .  3 1 1 27.5
e
</CsScore>
</CsoundSynthesizer>

